Issue 121789 - [sidebar]: migrate cell appearance panel (C)
Summary: [sidebar]: migrate cell appearance panel (C)
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.0.0
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks: [sidebar]
  Show dependency tree
 
Reported: 2013-02-19 09:32 UTC by jsc
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2013-02-19 09:32:48 UTC
migrate cell appearance panel (C)

sc/source/ui/propertypanel/appearpropertypage.cxx 

See also 
http://wiki.openoffice.org/wiki/Sidebar#Decks_and_content_panels
Comment 1 Armin Le Grand 2013-03-22 17:43:51 UTC
ALG: Grepping for next Week...
Comment 2 Armin Le Grand 2013-03-26 09:52:31 UTC
ALG: Started. There is quite some stuff here, some popups which we have no adaption yet. Adapting...
Comment 3 Armin Le Grand 2013-03-26 17:12:08 UTC
ALG: Roughly adapted, adding color popups for background and line color. Need to do special things for CellBorder and LineStyle...
Comment 4 Armin Le Grand 2013-03-28 12:01:19 UTC
ALG: The slots for this panel and AlignmentPanel are now fully added and implemented, works well. Working on LineStyle popup...
Comment 5 Armin Le Grand 2013-03-28 16:25:44 UTC
ALG: LineStyle popup was more complicated than I thought, but working now. Looking at some issues, then CellBorder popup. Also working is the CellBorderUpdater which is responsible for showing the correct activated borders in the control.
Comment 6 Armin Le Grand 2013-03-28 20:31:36 UTC
ALG: CellBorderPopup doing good progress, preparing some tests
Comment 7 Armin Le Grand 2013-03-30 18:24:58 UTC
ALG: Completed, comitting.
Comment 8 Armin Le Grand 2013-04-02 10:14:39 UTC
ALG: Fill color setting to 'color none' does not work, need to check this.
Comment 9 Armin Le Grand 2013-04-03 09:53:21 UTC
ALG: Transparency was handled wrong, corrected, checking in.
Comment 10 SVN Robot 2013-04-03 10:01:46 UTC
"alg" committed SVN revision 1463901 into branches/sidebar:
i121789 Corrected 'No color' usage in CellAppearancePropertyPanel
Comment 11 SVN Robot 2013-04-03 11:36:15 UTC
"alg" committed SVN revision 1463926 into branches/sidebar:
i121789 Corrected ColorControl and 'no color' handling, adapted some DropDown...
Comment 12 Armin Le Grand 2013-04-03 11:37:07 UTC
ALG: Done more tests, looks good.